org.apache.jmeter.engine.util

## Interface ConfigMergabilityIndicator

- All Known Implementing Classes:
    AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BoltSampler, BSFSampler, DebugSampler, FTPSampler, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, MongoScriptSampler, PublisherSampler, SmtpSampler, SubscriberSampler, SystemSampler, TCPSampler, TestAction, TransactionSampler

      public interface ConfigMergabilityIndicator

  Interface that gives a hint about the merge policy to apply between Samplers and Config elements
  Since:
    2.7
  See Also:
    `TestCompiler.configureWithConfigElements(org.apache.jmeter.samplers.Sampler, java.util.List<org.apache.jmeter.config.ConfigTestElement>)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(ConfigTestElement configElement)` Does configElement apply to Sampler

- - ### Method Detail

    - #### applies

          boolean applies(ConfigTestElement configElement)

      Does configElement apply to Sampler
      Parameters:
        `configElement` - `ConfigTestElement`
      Returns:
        boolean

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.